package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumDeviceType {

    SCREEN(0, "广告屏");
    public static EnumDeviceType getEnum(Integer code) {
        for (EnumDeviceType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumDeviceType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
